BorlandDeploymentTool (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ejb, class: BorlandDeploymentTool

Package org.apache.tools.ant.taskdefs.optional.ejb

# Class BorlandDeploymentTool

java.lang.Object
org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
org.apache.tools.ant.taskdefs.optional.ejb.BorlandDeploymentTool

All Implemented Interfaces:
  `ExecuteStreamHandler`, `EJBDeploymentTool`

public class BorlandDeploymentTool extends GenericDeploymentTool implements ExecuteStreamHandler
BorlandDeploymentTool is dedicated to the Borland Application Server 4.5 and 4.5.1 This task generates and compiles the stubs and skeletons for all ejb described into the Deployment Descriptor, builds the jar file including the support files and verify whether the produced jar is valid or not. The supported options are:

- debug (boolean) : turn on the debug mode for generation of stubs and skeletons (default:false)
- verify (boolean) : turn on the verification at the end of the jar production (default:true)
- verifyargs (String) : add optional argument to verify command (see vbj com.inprise.ejb.util.Verify)
- basdtd (String) : location of the BAS DTD
- generateclient (boolean) : turn on the client jar file generation
- version (int) : tell what is the Borland appserver version 4 or 5

          <ejbjar srcdir="${build.classes}"
                   basejarname="vsmp"
                   descriptordir="${rsc.dir}/hrmanager">
            <borland destdir="tstlib">
              <classpath refid="classpath" />
            </borland>
            <include name="**\ejb-jar.xml"/>
            <support dir="${build.classes}">
              <include name="demo\smp\*.class"/>
              <include name="demo\helper\*.class"/>
             </support>
         </ejbjar>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static String`
  `BAS_DD`
  `protected static String`
  `BES_DD`
  `protected static String`
  `DEFAULT_BAS_DTD_LOCATION`
  `protected static String`
  `DEFAULT_BAS45_EJB11_DTD_LOCATION`
  `protected static String`
  `JAVA2IIOP`
  Java2iiop executable
  `static String`
  `PUBLICID_BORLAND_EJB`
  Borland 1.1 ejb id
  `protected static String`
  `VERIFY`
  Verify class

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

  `ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, DEFAULT_BUFFER_SIZE, EJB_DD, JAR_COMPRESS_LEVEL, MANIFEST, META_DIR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BorlandDeploymentTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `addVendorFiles​(Hashtable<String,​File> ejbFiles, String ddPrefix)`
  Add any vendor specific files which should be included in the EJB Jar.
  `protected DescriptorHandler`
  `getBorlandDescriptorHandler​(File srcDir)`
  Get the borland descriptor handler.
  `void`
  `setBASdtd​(String inString)`
  Setter used to store the location of the borland DTD.
  `void`
  `setDebug​(boolean debug)`
  set the debug mode for java2iiop (default false)
  `void`
  `setGenerateclient​(boolean b)`
  setter used to store whether the task will include the generate client task.
  `void`
  `setJava2iiopParams​(String params)`
  If filled, the params are added to the java2iiop command.
  `void`
  `setProcessErrorStream​(InputStream is)`
  Set the error stream of the process.
  `void`
  `setProcessInputStream​(OutputStream param1)`
  Install a handler for the input stream of the subprocess.
  `void`
  `setProcessOutputStream​(InputStream is)`
  Set the output stream of the process.
  `void`
  `setSuffix​(String inString)`
  Setter used to store the suffix for the generated borland jar file.
  `void`
  `setVerify​(boolean verify)`
  set the verify mode for the produced jar (default true)
  `void`
  `setVerifyArgs​(String args)`
  sets some additional args to send to verify command
  `void`
  `setVersion​(int version)`
  setter used to store the borland appserver version [4 or 5]
  `void`
  `start()`
  Start handling of the streams.
  `void`
  `stop()`
  Stop handling of the streams - will not be restarted.
  `protected void`
  `writeJar​(String baseName, File jarFile, Hashtable<String,​File> files, String publicId)`
  Method used to encapsulate the writing of the JAR file.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

  `addFileToJar, addSupportClasses, checkAndAddDependants, checkConfiguration, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDescriptorHandler, getDestDir, getJarBaseName, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, processDescriptor, registerKnownDTDs, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName, validateConfigured`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PUBLICID_BORLAND_EJB

    public static final String PUBLICID_BORLAND_EJB
    Borland 1.1 ejb id
    See Also:
      Constant Field Values

  - ### DEFAULT_BAS45_EJB11_DTD_LOCATION

    protected static final String DEFAULT_BAS45_EJB11_DTD_LOCATION
    See Also:
      Constant Field Values

  - ### DEFAULT_BAS_DTD_LOCATION

    protected static final String DEFAULT_BAS_DTD_LOCATION
    See Also:
      Constant Field Values

  - ### BAS_DD

    protected static final String BAS_DD
    See Also:
      Constant Field Values

  - ### BES_DD

    protected static final String BES_DD
    See Also:
      Constant Field Values

  - ### JAVA2IIOP

    protected static final String JAVA2IIOP
    Java2iiop executable
    See Also:
      Constant Field Values

  - ### VERIFY

    protected static final String VERIFY
    Verify class
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### BorlandDeploymentTool

    public BorlandDeploymentTool()

- ## Method Details

  - ### setDebug

    public void setDebug​(boolean debug)
    set the debug mode for java2iiop (default false)
    Parameters:
      `debug` - the setting to use.

  - ### setVerify

    public void setVerify​(boolean verify)
    set the verify mode for the produced jar (default true)
    Parameters:
      `verify` - the setting to use.

  - ### setSuffix

    public void setSuffix​(String inString)
    Setter used to store the suffix for the generated borland jar file.
    Parameters:
      `inString` - the string to use as the suffix.

  - ### setVerifyArgs

    public void setVerifyArgs​(String args)
    sets some additional args to send to verify command
    Parameters:
      `args` - additional command line parameters

  - ### setBASdtd

    public void setBASdtd​(String inString)
    Setter used to store the location of the borland DTD. This can be a file on the system or a resource on the classpath.
    Parameters:
      `inString` - the string to use as the DTD location.

  - ### setGenerateclient

    public void setGenerateclient​(boolean b)
    setter used to store whether the task will include the generate client task. (see : BorlandGenerateClient task)
    Parameters:
      `b` - if true generate the client task.

  - ### setVersion

    public void setVersion​(int version)
    setter used to store the borland appserver version [4 or 5]
    Parameters:
      `version` - app server version 4 or 5

  - ### setJava2iiopParams

    public void setJava2iiopParams​(String params)
    If filled, the params are added to the java2iiop command. (ex: -no_warn_missing_define)
    Parameters:
      `params` - additional params for java2iiop

  - ### getBorlandDescriptorHandler

    protected DescriptorHandler getBorlandDescriptorHandler​(File srcDir)
    Get the borland descriptor handler.
    Parameters:
      `srcDir` - the source directory.
    Returns:
      the descriptor.

  - ### addVendorFiles

    protected void addVendorFiles​(Hashtable<String,​File> ejbFiles, String ddPrefix)
    Add any vendor specific files which should be included in the EJB Jar.
    Overrides:
      `addVendorFiles` in class `GenericDeploymentTool`
    Parameters:
      `ejbFiles` - the map to add the files to.
      `ddPrefix` - the prefix to use.

  - ### writeJar

    protected void writeJar​(String baseName, File jarFile, Hashtable<String,​File> files, String publicId) throws BuildException
    Method used to encapsulate the writing of the JAR file. Iterates over the filenames/java.io.Files in the Hashtable stored on the instance variable ejbFiles.
    Overrides:
      `writeJar` in class `GenericDeploymentTool`
    Parameters:
      `baseName` - the base name.
      `jarFile` - the jar file to write to.
      `files` - the files to write to the jar.
      `publicId` - the id to use.
    Throws:
      `BuildException` - if there is an error.

  - ### start

    public void start() throws IOException
    Start handling of the streams..
    Specified by:
      `start` in interface `ExecuteStreamHandler`
    Throws:
      `IOException` - on error

  - ### stop

    public void stop()
    Stop handling of the streams - will not be restarted..
    Specified by:
      `stop` in interface `ExecuteStreamHandler`

  - ### setProcessInputStream

    public void setProcessInputStream​(OutputStream param1) throws IOException
    Install a handler for the input stream of the subprocess..
    Specified by:
      `setProcessInputStream` in interface `ExecuteStreamHandler`
    Parameters:
      `param1` - output stream to write to the standard input stream of the subprocess
    Throws:
      `IOException` - on error

  - ### setProcessOutputStream

    public void setProcessOutputStream​(InputStream is) throws IOException
    Set the output stream of the process.
    Specified by:
      `setProcessOutputStream` in interface `ExecuteStreamHandler`
    Parameters:
      `is` - the input stream.
    Throws:
      `IOException` - if there is an error.

  - ### setProcessErrorStream

    public void setProcessErrorStream​(InputStream is) throws IOException
    Set the error stream of the process.
    Specified by:
      `setProcessErrorStream` in interface `ExecuteStreamHandler`
    Parameters:
      `is` - the input stream.
    Throws:
      `IOException` - if there is an error.